// Constants.h

#ifndef CONSTANTS_H
#define CONSTANTS_H

namespace WaveSoftware
{

   extern const std::string CSTR_ABOUT_VERSION;
   extern const std::string CSTR_ASTERISK;
   extern const std::string CSTR_BACKSLASH;
   extern const std::string CSTR_BAD_COMMAND_LINE;
   extern const std::string CSTR_COLON;
   extern const std::string CSTR_COMMA;
   extern const std::string CSTR_CONFIGURATION_FILE;
   extern const std::string CSTR_COPYRIGHT;
   extern const std::string CSTR_DATA;
   extern const std::string CSTR_DEBUG_PLATFORM;
   extern const std::string CSTR_DESCRIPTION_TITLE;
   extern const std::string CSTR_DETAILSROOT;
   extern const std::string CSTR_DETECTED;
   extern const std::string CSTR_ECHECKLITE_EXE;
   extern const std::string CSTR_ECHECKLITE_LONG;
   extern const std::string CSTR_ECHECKLITE_SHORT;
   extern const std::string CSTR_EMPTY_STRING;
   extern const std::string CSTR_EQUALS_SEPARATORS;
   extern const std::string CSTR_ERROR;
   extern const std::string CSTR_FALSE;
   extern const std::string CSTR_FILENAME;
   extern const std::string CSTR_FILE_URL;
   extern const std::string CSTR_FREEDISKSPACE;
   extern const std::string CSTR_GETDISKFREESPACEEX;
   extern const std::string CSTR_HIGH;
   extern const std::string CSTR_HTM_SUFFIX;
   extern const std::string CSTR_HYPHEN;
   extern const std::string CSTR_INFORMATION;
   extern const std::string CSTR_INSUFFICIENT;
   extern const std::string CSTR_KERNEL32_DLL;
   extern const std::string CSTR_KEY;
   extern const std::string CSTR_LOW;
   extern const std::string CSTR_MAIN;
   extern const std::string CSTR_MEDIUM;
   extern const std::string CSTR_MEGABYTES;
   extern const std::string CSTR_MEGAHERTZ;
   extern const std::string CSTR_MINIMUM;
   extern const std::string CSTR_MINMAJOR;
   extern const std::string CSTR_MINMINOR;
   extern const std::string CSTR_NAME;
   extern const std::string CSTR_NEWLINE;
   extern const std::string CSTR_NO;
   extern const std::string CSTR_NONE;
   extern const std::string CSTR_NT351;
   extern const std::string CSTR_NT4;
   extern const std::string CSTR_OK;
   extern const std::string CSTR_ONE;
   extern const std::string CSTR_OPEN_COMMAND;
   extern const std::string CSTR_PATH;
   extern const std::string CSTR_PERIOD;
   extern const std::string CSTR_PROGRAM_TOKEN;
   extern const std::string CSTR_RECMAJOR;
   extern const std::string CSTR_RECMINOR;
   extern const std::string CSTR_RECOMMENDED;
   extern const std::string CSTR_REGISTRYKEY;
   extern const std::string CSTR_REPLACE;
   extern const std::string CSTR_ROOTKEY;
   extern const std::string CSTR_SEARCH;
   extern const std::string CSTR_SEMICOLON;
   extern const std::string CSTR_SEVERITY_TITLE;
   extern const std::string CSTR_SPACE;
   extern const std::string CSTR_SUFFICIENT;
   extern const std::string CSTR_SYSMENU_ABOUT;
   extern const std::string CSTR_TEST_INFO;
   extern const std::string CSTR_TEST_PLATFORM_COMPATIBILITY;
   extern const std::string CSTR_TEST_REPORT_TITLE;
   extern const std::string CSTR_TILDE;
   extern const std::string CSTR_TITLE;
   extern const std::string CSTR_TRUE;
   extern const std::string CSTR_TYPE;
   extern const std::string CSTR_UNDETECTED;
   extern const std::string CSTR_UNKNOWN;
   extern const std::string CSTR_UNKNOWN_PLATFORM;
   extern const std::string CSTR_USAGE;
   extern const std::string CSTR_VALUE;
   extern const std::string CSTR_VALUE_TITLE;
   extern const std::string CSTR_VERSION;
   extern const std::string CSTR_VERSIONS;
   extern const std::string CSTR_W2K;
   extern const std::string CSTR_W95;
   extern const std::string CSTR_W98;
   extern const std::string CSTR_WINDOWS_2000;
   extern const std::string CSTR_WINDOWS_95;
   extern const std::string CSTR_WINDOWS_98;
   extern const std::string CSTR_WINDOWS_ME;
   extern const std::string CSTR_WINDOWS_NT_351;
   extern const std::string CSTR_WINDOWS_NT_4;
   extern const std::string CSTR_WINDOWS_XP;
   extern const std::string CSTR_WME;
   extern const std::string CSTR_WXP;
   extern const std::string CSTR_YES;
   extern const std::string CSTR_ZERO;

}; // end of namespace 

#endif // CONSTANTS_H
