//---------------------------------------------------------------------------

#ifndef MainframeH
#define MainframeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------

namespace WaveSoftware
{
	class Configuration;
}

class TfrmMainframe : public TForm
{
__published:	// IDE-managed Components
	TButton *pbFinish;
	TActionList *aclMainframe;
	TSaveDialog *svdMainframe;
	TListView *lvTestResults;
	TImageList *imlTestResults;
	TShape *Shape1;
	TLabel *Label1;
	TLabel *lblPlatform;
	TImage *Image1;
	TLabel *lblTestInfo;
	TButton *pbSave;
	TButton *pbDetails;
	TAction *actDetails;
	TAction *actSave;
	TAction *actFinish;
	void __fastcall actSaveExecute(TObject *Sender);
	void __fastcall actFinishExecute(TObject *Sender);
	void __fastcall actDetailsUpdate(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall actSaveUpdate(TObject *Sender);
	void __fastcall actDetailsExecute(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
	WaveSoftware::Configuration* m_Configuration;
   void VerifyEnvironment();

public:		// User declarations
	__fastcall TfrmMainframe(TComponent* Owner);
   virtual __fastcall ~TfrmMainframe();

protected:
	void __fastcall OnSysCommand(TWMSysCommand& msg);

BEGIN_MESSAGE_MAP
	MESSAGE_HANDLER(WM_SYSCOMMAND, TWMSysCommand, OnSysCommand)
END_MESSAGE_MAP(TForm)   
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMainframe *frmMainframe;
//---------------------------------------------------------------------------
#endif
