// Platform.h

#ifndef PLATFORM_H
#define PLATFORM_H

namespace WaveSoftware
{
   class Test;
   
   class Platform
   {
   public:
      Platform();
      Platform(const std::string& name);

   public:
      void Verify() const;
      void AddTest(Test* test);
      const Tests& GetTests() const;

   public:
      void SetName(const std::string& name);

   public:
      const std::string& GetName();

   private:
      std::string m_Name;
      Tests m_Tests;
   };
   
}; // end of namespace

#endif // PLATFORM_H
