// ServicePack.h

#ifndef SERVICEPACK_H
#define SERVICEPACK_H

#include "Test.h"

namespace WaveSoftware
{
   class ServicePack : public Test
   {
   public:
      ServicePack();
      virtual ~ServicePack();

   public:
      virtual bool Initialize(const StringMap& data);
      virtual bool Verify();

   private:
      int m_MinMajor;
      int m_MinMinor;
      int m_RecMajor;
      int m_RecMinor;
   };

}; // end of namespace

#endif // SERVICEPACK_H


