// Constants.cpp

#include "stdafx.h"
#pragma hdrstop

#include "Constants.h"

namespace WaveSoftware
{
   
   const std::string CSTR_ABOUT_VERSION = _T("Version %d.%d.%d (Build %d)");
   const std::string CSTR_ASTERISK = _T("*");
   const std::string CSTR_BACKSLASH = _T("\\");
   const std::string CSTR_BAD_COMMAND_LINE = _T("Bad data.  Please check 'Debug Platform' setting and the 'Configuration File'.\n\n");
   const std::string CSTR_COLON = _T(":");
   const std::string CSTR_COMMA = _T(",");
   const std::string CSTR_CONFIGURATION_FILE = _T("<Configuration File>");
   const std::string CSTR_COPYRIGHT = _T("Copyright");
   const std::string CSTR_DATA = _T("Data");
   const std::string CSTR_DEBUG_PLATFORM = _T("[Debug Platform]");
   const std::string CSTR_DESCRIPTION_TITLE = _T("DESCRIPTION");
   const std::string CSTR_DETAILSROOT = _T("DetailsRoot");
   const std::string CSTR_DETECTED = _T("Detected");
   const std::string CSTR_ECHECKLITE_EXE = _T("ECHECKLITE.EXE");
   const std::string CSTR_ECHECKLITE_LONG = _T("Environment Check Lite");
   const std::string CSTR_ECHECKLITE_SHORT = _T("ECHECKLITE");
   const std::string CSTR_EMPTY_STRING = _T("");
   const std::string CSTR_EQUALS_SEPARATORS = _T("===============================================================================");
   const std::string CSTR_ERROR = _T("Error");
   const std::string CSTR_FALSE = _T("false");
   const std::string CSTR_FILENAME = _T("Filename");
   const std::string CSTR_FILE_URL = _T("file:///");
   const std::string CSTR_FREEDISKSPACE = _T("FreeDiskSpace");
   const std::string CSTR_GETDISKFREESPACEEX = _T("GetDiskFreeSpaceExA");
   const std::string CSTR_HIGH = _T("High");
   const std::string CSTR_HTM_SUFFIX = _T(".htm");
   const std::string CSTR_HYPHEN = _T("-");
   const std::string CSTR_INFORMATION = _T("Information");
   const std::string CSTR_INSUFFICIENT = _T("Insufficient");
   const std::string CSTR_KERNEL32_DLL = _T("KERNEL32.DLL");
   const std::string CSTR_KEY = _T("Key");
   const std::string CSTR_LOW = _T("Low");
   const std::string CSTR_MAIN = _T("Main");
   const std::string CSTR_MEDIUM = _T("Medium");
   const std::string CSTR_MEGABYTES = _T("MB");
   const std::string CSTR_MEGAHERTZ = _T("MHz");
   const std::string CSTR_MINIMUM = _T("Minimum");
   const std::string CSTR_MINMAJOR = _T("MinMajor");
   const std::string CSTR_MINMINOR = _T("MinMinor");
   const std::string CSTR_NAME = _T("Name");
   const std::string CSTR_NEWLINE = _T("\n");
   const std::string CSTR_NO = _T("no");
   const std::string CSTR_NONE = _T("None");
   const std::string CSTR_NT351 = _T("NT351");
   const std::string CSTR_NT4 = _T("NT4");
   const std::string CSTR_OK = _T("OK");
   const std::string CSTR_ONE = _T("1");
   const std::string CSTR_OPEN_COMMAND = _T("open");
   const std::string CSTR_PATH = _T("path");
   const std::string CSTR_PERIOD = _T(".");
   const std::string CSTR_PROGRAM_TOKEN = _T("<PROGRAM>");
   const std::string CSTR_RECMAJOR = _T("RecMajor");
   const std::string CSTR_RECMINOR = _T("RecMinor");
   const std::string CSTR_RECOMMENDED = _T("Recommended");
   const std::string CSTR_REGISTRYKEY = _T("RegistryKey");
   const std::string CSTR_REPLACE = _T("Replace");
   const std::string CSTR_ROOTKEY = _T("RootKey");
   const std::string CSTR_SEARCH = _T("Search");
   const std::string CSTR_SEMICOLON = _T(";");
   const std::string CSTR_SEVERITY_TITLE = _T("SEVERITY");
   const std::string CSTR_SPACE = _T(" ");
   const std::string CSTR_SUFFICIENT = _T("Sufficient");
   const std::string CSTR_SYSMENU_ABOUT = _T("&About...");
   const std::string CSTR_TEST_INFO = _T("The environment compatibility tests for <PROGRAM> have been completed with the results shown below.  Select any item and click Details for more information.");
   const std::string CSTR_TEST_PLATFORM_COMPATIBILITY = _T("Testing environment compatibility for: ");
   const std::string CSTR_TEST_REPORT_TITLE = _T("Environment Check Lite Test Report");
   const std::string CSTR_TILDE = _T("~");
   const std::string CSTR_TITLE = _T("Title");
   const std::string CSTR_TRUE = _T("true");
   const std::string CSTR_TYPE = _T("Type");
   const std::string CSTR_UNDETECTED = _T("Undetected");
   const std::string CSTR_UNKNOWN = _T("Unknown");
   const std::string CSTR_UNKNOWN_PLATFORM = _T("UNKNWON PLATFORM");
   const std::string CSTR_USAGE = _T("Usage:");
   const std::string CSTR_VALUE = _T("Value");
   const std::string CSTR_VALUE_TITLE = _T("VALUE");
   const std::string CSTR_VERSION = _T("Version");
   const std::string CSTR_VERSIONS = _T("Versions");
   const std::string CSTR_W2K = _T("W2K");
   const std::string CSTR_W95 = _T("W95");
   const std::string CSTR_W98 = _T("W98");
   const std::string CSTR_WINDOWS_2000 = _T("Windows 2000");
   const std::string CSTR_WINDOWS_95 = _T("Windows 95");
   const std::string CSTR_WINDOWS_98 = _T("Windows 98");
   const std::string CSTR_WINDOWS_ME = _T("Windows ME");
   const std::string CSTR_WINDOWS_NT_351 = _T("Windows NT 3.51");
   const std::string CSTR_WINDOWS_NT_4 = _T("Windows NT 4.0");
   const std::string CSTR_WINDOWS_XP = _T("Windows XP");
   const std::string CSTR_WME = _T("WME");
   const std::string CSTR_WXP = _T("WXP");
   const std::string CSTR_YES = _T("yes");
   const std::string CSTR_ZERO = _T("0");
   
} // end of namespace
